---
title: "yLine"
subtitle: "Function in std::sketch"
excerpt: "Draw a line relative to the current origin to a specified distance away from the current position along the 'y' axis."
layout: manual
---

Draw a line relative to the current origin to a specified distance away from the current position along the 'y' axis.

```kcl
yLine(
  @sketch: Sketch,
  length?: number,
  endAbsolute?: number,
  tag?: TagDeclarator,
): Sketch
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl-std/types/std-types-Sketch) | Which sketch should this path be added to? | Yes |
| `length` | [`number`](/docs/kcl-std/types/std-types-number) | How far away along the Y axis should this line go? Incompatible with `endAbsolute`. | No |
| `endAbsolute` | [`number`](/docs/kcl-std/types/std-types-number) | Which absolute Y value should this line go to? Incompatible with `length`. | No |
| [`tag`](/docs/kcl-std/types/std-types-tag) | [`TagDeclarator`](/docs/kcl-lang/types#TagDeclarator) | Create a new tag which refers to this line | No |

### Returns

[`Sketch`](/docs/kcl-std/types/std-types-Sketch) - A sketch is a collection of paths.


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> yLine(length = 15)
  |> angledLine(angle = 30, length = 15)
  |> line(end = [8, -10])
  |> yLine(length = -5)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of yLine 0](data:image/png;base64,[encoded data, 89500 characters])


